<?xml version="1.0" encoding="utf-8"?>
<collection>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      0
  </value>

  <associating>
      <interfaces>
        XkbAllocGeomKeyAliases
        XkbAllocGeomColors
        XkbAllocGeomDoodads
        XkbAllocGeomKeys
        XkbAllocGeomOutlines
        XkbAllocGeomPoints
        XkbAllocGeomProps
        XkbAllocGeomRows
        XkbAllocGeomSectionDoodads
        XkbAllocGeomSections
        XkbAllocGeomOverlays
        XkbAllocGeomOverlayRows
        XkbAllocGeomOverlayKeys
        XkbAllocGeomShapes
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      env
  </kind>

  <associating>
      <interfaces>
        XkbAllocGeomKeyAliases
        XkbAllocGeomColors
        XkbAllocGeomDoodads
        XkbAllocGeomKeys
        XkbAllocGeomOutlines
        XkbAllocGeomPoints
        XkbAllocGeomProps
        XkbAllocGeomRows
        XkbAllocGeomSectionDoodads
        XkbAllocGeomSections
        XkbAllocGeomOverlays
        XkbAllocGeomOverlayRows
        XkbAllocGeomOverlayKeys
        XkbAllocGeomShapes
      </interfaces>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      unsigned int
  </data_type>

  <value>
      9
  </value>

  <associating>
      <interfaces>
        XGetKeyboardMapping
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      10
  </value>

  <associating>
      <interfaces>
        XGetKeyboardMapping
      </interfaces>
      <links>
          param3
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      int
  </data_type>

  <value>
      2
  </value>

  <associating>
      <interfaces>
        XkbKeyTypesForCoreSymbols
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      normal
  </kind>

  <data_type>
      XID
  </data_type>

  <value>
      $[XLoadFont]
  </value>

  <associating>
      <interfaces>
        XQueryFont
        XQueryTextExtents
        XQueryTextExtents16
      </interfaces>
      <links>
          param2
      </links>
  </associating>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      Drawable
  </data_type>

  <global_code>
      #include <Xlib.h>
  </global_code>

  <value>
      XDefaultRootWindow($(Display*))
  </value>
</spec_type>

<spec_type>
  <kind>
      common_param
  </kind>

  <data_type>
      XcmsCCC
  </data_type>

  <value>
      $[XcmsCCCOfColormap]
  </value>
</spec_type>

</collection>